Welcome

M9216A PXI
High Voltage Data Acquisition

Soft Front Panel

The M9216A DAQ soft front panel (SFP) provides you with a useful interactive graphical interface for controlling the source module. The SFP helps you with the following tasks:

  • Verify that the module is properly installed and working in your system — important when a module is installed for the very first time

  • Learn about the module capability and behavior through interactive use

  • Learn how to program the instrument

  • Verify and debug your system

The M9216A High Voltage DAQ Module Startup Guide provides instructions for installing the SFP. After the SFP is installed, you can launch it from the Start > All Programs > Agilent Technologies program group, or from the relevant module node in the Agilent Connection Expert software.


Getting Started

You can launch the M9216A DAQ SFP interface from the Start > All Programs > Agilent Technologies program group on your computer. This action opens a dialog box listing the connected modules that are supported by the software driver.

Select a module from the list and click Connect. This will then open up the SFP interface of the selected module.

Enabling Simulation Mode will allow you access to the SFP without the presence of the actual module.


SFP Tour

Launch the Soft Front Panel (SFP) from the Start > All Programs > Agilent Technologies program group.

Basic Format

The following picture shows basic format of the Soft Front Panel for the M9216A DAQ module.

Menu Items

  • File menu

    • Connect – Brings up the instrument connection dialog, which allows you to select a specific module (or simulation mode).

    • Exit – Closes the SFP application.

  • View menu

    • Preferences – Allows you to select the font size of the text shown on the SFP.

  • Utility menu

    • Reset – Rests the module using the driver reset function.

    • Errors – Queries the module for errors.

  • Tools menu

    • Monitor Driver Calls – Brings up a dialog showing the driver calls made by the SFP for controlling the instrument.

  • Help menu

    • Help Contents – Brings up this help file.

    • Driver Help – Brings up the help for the instrument driver.

    • Online Support – Brings up the Agilent Web support site for this instrument.

    • About – Brings up the About dialog, which shows Soft Front Panel version and instrument driver information.

Status Bar

The status bar on the bottom of the main window shows following:

  • Connection status – Shows address of the module that SFP is connected to currently or Simulation Mode (if the simulation mode is enabled). Click the status to bring up the File | Connect dialog.

  • Error Status – Shows Error or No Error to indicate errors. Click on the error status to bring up the Utility | Errors dialog.


Connecting to a Module

From the File menu, select Connect. This action opens a dialog box listing all the connected modules.

Select a module from the list and click Connect.


Checking the Module Status

The easiest way to check the module status is to run the SFP software and select a module (see Connecting to a Module).

From the SFP utilities menu, reset the module (Utility > Reset) and query the module for errors (Utility > Errors).


Configure the Measurement Mode

Select the measure mode. There are two modes available:

  • Single

  • Multiple

Configure the trigger mode. There are two modes available

    • Channel

    • Immediate


Configure the Port for Acquisition

There are 8 channels with 4 input connectors each that can be configured individually to for data acquisition in Multiple mode. In Single mode, there is only 1 channel with 32 input connectors can be select as logical connector. Input port is the physical port identification. Refer to Table 1 for the relationship between input connector and input port. Select Measure Range to fetch waveform data from sub channels. Refer Table 2 for the measure range definition.

Table 1 Relationship between input connector and input port

Single Mode

Multi Mode

Input Port

Input Connector

Input Connector

Channel

Bank

1

1

1

1

1

9

2

2

17

3

3

25

4

4

2

5

1

2

10

6

2

18

7

3

26

8

4

3

9

1

3

2

11

10

2

19

11

3

27

12

4

4

13

1

4

12

14

2

20

15

3

28

16

4

5

17

1

5

3

13

18

2

21

19

3

29

20

4

6

21

1

6

14

22

2

22

23

3

30

24

4

7

25

1

7

4

15

26

2

23

27

3

31

28

4

8

29

1

8

16

30

2

24

31

3

32

32

4
Table 2 Measure range definition

Measure Range

Description.

Low

Fetch only the waveform from 5V range.

High

Fetch only the waveform from 100V range.

Both

Fetch the waveform from both 5V and 100V range.

None

Do not pre-fetch any data.


Configure Port

Select the channel and input connector to be configured for its record size, trigger level, hysteresis, slope, and so on from the Select Port for Acquisition panel. In this example, input connector 4 of channel 2 or input port 26 is configured. Click the Update Configuration button to apply the configuration set in the Port Configuration panel.


Status Monitoring

The overall setting and status of the DAQ module can be view in this Status Monitoring group box at a glance. Whenever the acquisition input port or measure range of each channel is changed, the changes will be displayed here. The acquisition status of the channel will also display in this status monitoring group box. The Get Acquisition Status button can be used to check the acquisition status of the channel.


Update Hardware

Click the Update Hardware button to load all configurations set in the Configure the Measurement Mode, Configure the Port for Acquisition, and Port Configuration sections into the DAQ module.


Auxiliary Settings

There are 4 auxiliary outputs in this module. Check the Bank1/Bank2/Bank3/ Bank4 Aux Out check box to auxiliary output port. In Single mode, auxiliary output is not allowed and this setting will be gray out or disabled.


Initiate Measurement

Clicking the Initiate Capture button will cause the DAQ module to start acquiring waveform on all channels. In Immediate mode, all channels will start waveform acquisition. In Channel mode, each channel will wait for a valid trigger from its source signal before acquiring data.


Fetch Waveform

When an acquisition for a channel has been completed successfully, acquisition data will be sent form the channel to the driver memory. By clicking FetchwaveformReal button, the waveform’s voltage data will be copy and display in the chart. Clicking FetchwaveformInt button raw data will be copy and display in the chart.


Chart

Click the Show Chart button to call the chart window out to display. Clicking this button again will hide the chart window.

All the data fetched from the DAQ module will be display in the chart. Each channel will have 2 charts for data display. One is for low range data, another one is for high range data. In multiple, there are 8 tab pages in the chart window. While in single mode, there is only 1 page to show the single channel charts.

Multiple mode chart window

Single mode chart window


Resetting the Module to its Default Factory Settings

From the Utility menu, select Reset. Refer to the topic, SFP Tour.


Viewing and Clearing Error Conditions

From the Utility menu, select Errors. Refer to the topic, SFP Tour.


Style Examples

Normal/body text (11 pt Arial).

This is a warning statement test. Had this been a real warning statement, you would have been better advised of the potential threats to you and your equipment.

some text...

more text ...

This is a caution statement test. Had this been a real caution statement, then you would have been better advised of the potential threats to you and your equipment.

some text...

more text ...

This is a note, drawing the reader's attention to important information, caveats, etc.

Mid-topic jump.

To connect to the module (procedure title)

  1. Do this....

  2. Do that...

  3. caveat a

  4. caveat b

  3. Do the last thing

This is a procedure note, like a regular note, but inside a procedure.

This Heading 2 style can be used in topics that need to be long. A mid-top jump can be used (put in a bookmark at beginning of this line).

Following is a table that auto-sizes to the window at 99% of the window width:

Table Heading fixed width | Table Heading | Table Heading
Table topic A | Table information, topic A | Table information, topic A
 | Table information, topic A | Table information, topic A
Table topic B | Table information, topic B | Table information, topic B

Following is a table that is a fixed width:

Table Heading fixed width | Table Heading | Table Heading
Table topic A | Table information, topic A | Table information, topic A
 | Table information, topic A | Table information, topic A
Table topic B | Table information, topic B | Table information, topic B

Following is a Related Topic button. Button text is 10 pt Arial. Uses pop-up method.

THE END